Scalar mathematics
Tensorial fields

() More...

## Functions

Scalar | Lorene::operator+ (const Scalar &)
Scalar | Lorene::operator- (const Scalar &ci)
| `-` Scalar
Scalar | Lorene::operator+ (const Scalar &c1, const Scalar &c2)
| Scalar + Scalar.
Scalar | Lorene::operator+ (const Scalar &c1, const Mtbl &mi)
| Scalar + Mbtl.
Scalar | Lorene::operator+ (const Mtbl &, const Scalar &)
| Mtbl + Scalar.
Scalar | Lorene::operator+ (const Scalar &t1, double x)
| Scalar + double.
Scalar | Lorene::operator+ (double, const Scalar &)
| double + Scalar
Scalar | Lorene::operator+ (const Scalar &, int)
| Scalar + int.
Scalar | Lorene::operator+ (int, const Scalar &)
| int + Scalar
Scalar | Lorene::operator- (const Scalar &c1, const Scalar &c2)
| Scalar - Scalar.
Scalar | Lorene::operator- (const Scalar &t1, const Mtbl &mi)
| Scalar - Mbtl.
Scalar | Lorene::operator- (const Mtbl &, const Scalar &)
| Mtbl - Scalar.
Scalar | Lorene::operator- (const Scalar &t1, double x)
| Scalar - double.
Scalar | Lorene::operator- (double, const Scalar &)
| double - Scalar
Scalar | Lorene::operator- (const Scalar &, int)
| Scalar - int.
Scalar | Lorene::operator- (int, const Scalar &)
| int - Scalar
Scalar | Lorene::operator* (const Scalar &c1, const Scalar &c2)
| Scalar * Scalar.
Scalar | Lorene::operator% (const Scalar &c1, const Scalar &c2)
| Scalar * Scalar with desaliasing.
Scalar | Lorene::operator| (const Scalar &c1, const Scalar &c2)
| Scalar * Scalar with desaliasing only in r.
Scalar | Lorene::operator* (const Mtbl &mi, const Scalar &c1)
| Mtbl * Scalar.
Scalar | Lorene::operator* (const Scalar &, const Mtbl &)
| Scalar * Mtbl.
Scalar | Lorene::operator* (const Scalar &, double)
| Scalar * double.
Scalar | Lorene::operator* (double a, const Scalar &c1)
| double * Scalar
Scalar | Lorene::operator* (const Scalar &, int)
| Scalar * int.
Scalar | Lorene::operator* (int, const Scalar &)
| int * Scalar
Scalar | Lorene::operator/ (const Scalar &c1, const Scalar &c2)
| Scalar / Scalar.
Scalar | Lorene::operator/ (const Scalar &c1, double x)
| Scalar / double.
Scalar | Lorene::operator/ (double x, const Scalar &c2)
| double / Scalar
Scalar | Lorene::operator/ (const Scalar &, int)
| Scalar / int.
Scalar | Lorene::operator/ (int, const Scalar &)
| int / Scalar
Scalar | Lorene::operator/ (const Scalar &c1, const Mtbl &mi)
| Scalar / Mtbl.
Scalar | Lorene::operator/ (const Mtbl &mi, const Scalar &c2)
| Mtbl / Scalar.
Scalar | Lorene::sin (const Scalar &ci)
| Sine.
Scalar | Lorene::cos (const Scalar &ci)
| Cosine.
Scalar | Lorene::tan (const Scalar &ci)
| Tangent.
Scalar | Lorene::asin (const Scalar &ci)
| Arcsine.
Scalar | Lorene::acos (const Scalar &ci)
| Arccosine.
Scalar | Lorene::atan (const Scalar &ci)
| Arctangent.
Scalar | Lorene::exp (const Scalar &ci)
| Exponential.
Scalar | Lorene::Heaviside (const Scalar &ci)
| Heaviside function.
Scalar | Lorene::log (const Scalar &ci)
| Neperian logarithm.
Scalar | Lorene::log10 (const Scalar &ci)
| Basis 10 logarithm.
Scalar | Lorene::sqrt (const Scalar &ci)
| Square root.
Scalar | Lorene::racine_cubique (const Scalar &ci)
| Cube root.
Scalar | Lorene::pow (const Scalar &ci, int n)
| Power .
Scalar | Lorene::pow (const Scalar &ci, double x)
| Power .
Scalar | Lorene::abs (const Scalar &ci)
| Absolute value.
double | Lorene::totalmax (const Scalar &ci)
| Maximum values of a `Scalar` in each domain.
double | Lorene::totalmin (const Scalar &ci)
| Minimum values of a `Scalar` in each domain.
Tbl | Lorene::max (const Scalar &ci)
| Maximum values of a `Scalar` in each domain.
Tbl | Lorene::min (const Scalar &ci)
| Minimum values of a `Scalar` in each domain.
Tbl | Lorene::norme (const Scalar &ci)
| Sums of the absolute values of all the values of the `Scalar` in each domain.
Tbl | Lorene::diffrel (const Scalar &a, const Scalar &b)
| Relative difference between two `Scalar` (norme version).
Tbl | Lorene::diffrelmax (const Scalar &a, const Scalar &b)
| Relative difference between two `Scalar` (max version).
void | Lorene::exp_filter_ylm_all_domains (Scalar &ss, int p, double alpha=-16.)
| Applies an exponential filter in angular directions in all domains.

## Detailed Description

()

## Function Documentation

## abs()

Scalar Lorene::abs | ( | const Scalar & | ci | ) |

Absolute value.

Definition at line 523 of file scalar_math.C.

## acos()

Scalar Lorene::acos | ( | const Scalar & | ci | ) |

Arccosine.

Definition at line 199 of file scalar_math.C.

## asin()

Scalar Lorene::asin | ( | const Scalar & | ci | ) |

Arcsine.

Definition at line 167 of file scalar_math.C.

## atan()

Scalar Lorene::atan | ( | const Scalar & | ci | ) |

Arctangent.

Definition at line 231 of file scalar_math.C.

## cos()

Scalar Lorene::cos | ( | const Scalar & | ci | ) |

Cosine.

Definition at line 104 of file scalar_math.C.

## diffrel()

Tbl Lorene::diffrel | ( | const Scalar & | a,
|  | const Scalar & | b )

Relative difference between two `Scalar` (norme version).

Returns
  1-D `Tbl` of size the number of domains, the elements of which are `norme`[a(l)-b(l)]/norme[b(l)] if `b(l)!=0` and `norme`[a(l)-b(l)] if `b(l)=0` , where `a(l)` and `b(l)` denote symbolically the values of `a` and `b`
  in domain no. `l` .

Definition at line 695 of file scalar_math.C.

## diffrelmax()

Tbl Lorene::diffrelmax | ( | const Scalar & | a,
|  | const Scalar & | b )

Relative difference between two `Scalar` (max version).

Returns
  1-D `Tbl` of size the number of domains, the elements of which are `max`[abs(a(l)-b(l))]/max[abs(b(l))] if `b(l)!=0` and `max`[abs(a(l)-b(l))] if `b(l)=0` , where `a(l)` and `b(l)` denote symbolically the values of `a` and `b`
  in domain no. `l` .

Definition at line 730 of file scalar_math.C.

## exp()

Scalar Lorene::exp | ( | const Scalar & | ci | ) |

Exponential.

Definition at line 323 of file scalar_math.C.

## exp_filter_ylm_all_domains()

void Lorene::exp_filter_ylm_all_domains | ( | Scalar & | ss,
|  | int | p,
|  | double | alpha = -16. )

Applies an exponential filter in angular directions in all domains.

(see `Scalar:exponential_filter_ylm` ).

Definition at line 186 of file scalar_exp_filter.C.

References Lorene::Scalar::exponential_filter_ylm(), and Lorene::Tensor::get_mp().

## Heaviside()

Scalar Lorene::Heaviside | ( | const Scalar & | ci | ) |

Heaviside function.

Definition at line 355 of file scalar_math.C.

## log()

Scalar Lorene::log | ( | const Scalar & | ci | ) |

Neperian logarithm.

Definition at line 385 of file scalar_math.C.

## log10()

Scalar Lorene::log10 | ( | const Scalar & | ci | ) |

Basis 10 logarithm.

Definition at line 418 of file scalar_math.C.

## max()

Tbl Lorene::max | ( | const Scalar & | ci | ) |

Maximum values of a `Scalar` in each domain.

Returns
  1-D `Tbl` of size the number of domains, the elements of which are the set of the maximum values in each domain.

Definition at line 611 of file scalar_math.C.

## min()

Tbl Lorene::min | ( | const Scalar & | ci | ) |

Minimum values of a `Scalar` in each domain.

Returns
  1-D `Tbl` of size the number of domains, the elements of which are the set of the minimum values in each domain.

Definition at line 639 of file scalar_math.C.

## norme()

Tbl Lorene::norme | ( | const Scalar & | ci | ) |

Sums of the absolute values of all the values of the `Scalar` in each domain.

Returns
  1-D `Tbl` of size the number of domains, the elements of which are the set of the sums of the absolute values in each domain.

Definition at line 667 of file scalar_math.C.

## operator%()

Scalar Lorene::operator% | ( | const Scalar & | c1,
|  | const Scalar & | c2 )

Scalar * Scalar with desaliasing.

Definition at line 457 of file scalar_arithm.C.

## operator*() [1/7]

Scalar Lorene::operator* | ( | const Mtbl & | mi,
|  | const Scalar & | c1 )

Mtbl * Scalar.

Definition at line 527 of file scalar_arithm.C.

## operator*() [2/7]

Scalar Lorene::operator* | ( | const Scalar & | c1,
|  | const Mtbl & | mi )

Scalar * Mtbl.

Definition at line 561 of file scalar_arithm.C.

## operator*() [3/7]

Scalar Lorene::operator* | ( | const Scalar & | t1,
|  | double | x )

Scalar * double.

Definition at line 605 of file scalar_arithm.C.

References x.

## operator*() [4/7]

Scalar Lorene::operator* | ( | const Scalar & | t1,
|  | int | m )

Scalar * int.

Definition at line 612 of file scalar_arithm.C.

## operator*() [5/7]

Scalar Lorene::operator* | ( | const Scalar & | c1,
|  | const Scalar & | c2 )

Scalar * Scalar.

Definition at line 423 of file scalar_arithm.C.

## operator*() [6/7]

Scalar Lorene::operator* | ( | double | a,
|  | const Scalar & | c1 )

double * Scalar

Definition at line 568 of file scalar_arithm.C.

## operator*() [7/7]

Scalar Lorene::operator* | ( | int | m,
|  | const Scalar & | t1 )

int * Scalar

Definition at line 619 of file scalar_arithm.C.

## operator+() [1/8]

Scalar Lorene::operator+ | ( | const Mtbl & | mi,
|  | const Scalar & | c1 )

Mtbl + Scalar.

Definition at line 200 of file scalar_arithm.C.

## operator+() [2/8]

Scalar Lorene::operator+ | ( | const Scalar & | ci | ) |

- Scalar

Definition at line 86 of file scalar_arithm.C.

## operator+() [3/8]

Scalar Lorene::operator+ | ( | const Scalar & | t1,
|  | int | m )

Scalar + int.

Definition at line 248 of file scalar_arithm.C.

## operator+() [4/8]

Scalar Lorene::operator+ | ( | const Scalar & | c1,
|  | const Mtbl & | mi )

Scalar + Mbtl.

Definition at line 163 of file scalar_arithm.C.

## operator+() [5/8]

Scalar Lorene::operator+ | ( | const Scalar & | c1,
|  | const Scalar & | c2 )

Scalar + Scalar.

Definition at line 113 of file scalar_arithm.C.

## operator+() [6/8]

Scalar Lorene::operator+ | ( | const Scalar & | t1,
|  | double | x )

Scalar + double.

Definition at line 207 of file scalar_arithm.C.

## operator+() [7/8]

Scalar Lorene::operator+ | ( | double | x,
|  | const Scalar & | t1 )

double + Scalar

Definition at line 241 of file scalar_arithm.C.

References x.

## operator+() [8/8]

Scalar Lorene::operator+ | ( | int | m,
|  | const Scalar & | t1 )

int + Scalar

Definition at line 255 of file scalar_arithm.C.

## operator-() [1/8]

Scalar Lorene::operator- | ( | const Mtbl & | mi,
|  | const Scalar & | t1 )

Mtbl - Scalar.

Definition at line 353 of file scalar_arithm.C.

## operator-() [2/8]

Scalar Lorene::operator- | ( | const Scalar & | t1,
|  | int | m )

Scalar - int.

Definition at line 400 of file scalar_arithm.C.

## operator-() [3/8]

Scalar Lorene::operator- | ( | const Scalar & | c1,
|  | const Scalar & | c2 )

Scalar - Scalar.

Definition at line 270 of file scalar_arithm.C.

## operator-() [4/8]

Scalar Lorene::operator- | ( | const Scalar & | ci | ) |

`-` Scalar

Definition at line 90 of file scalar_arithm.C.

## operator-() [5/8]

Scalar Lorene::operator- | ( | const Scalar & | t1,
|  | const Mtbl & | mi )

Scalar - Mbtl.

Definition at line 320 of file scalar_arithm.C.

## operator-() [6/8]

Scalar Lorene::operator- | ( | const Scalar & | t1,
|  | double | x )

Scalar - double.

Definition at line 360 of file scalar_arithm.C.

## operator-() [7/8]

Scalar Lorene::operator- | ( | double | x,
|  | const Scalar & | t1 )

double - Scalar

Definition at line 393 of file scalar_arithm.C.

References x.

## operator-() [8/8]

Scalar Lorene::operator- | ( | int | m,
|  | const Scalar & | t1 )

int - Scalar

Definition at line 407 of file scalar_arithm.C.

## operator/() [1/7]

Scalar Lorene::operator/ | ( | const Mtbl & | mi,
|  | const Scalar & | c2 )

Mtbl / Scalar.

Definition at line 707 of file scalar_arithm.C.

## operator/() [2/7]

Scalar Lorene::operator/ | ( | const Scalar & | c1,
|  | int | m )

Scalar / int.

Definition at line 810 of file scalar_arithm.C.

## operator/() [3/7]

Scalar Lorene::operator/ | ( | const Scalar & | c1,
|  | const Mtbl & | mi )

Scalar / Mtbl.

Definition at line 675 of file scalar_arithm.C.

## operator/() [4/7]

Scalar Lorene::operator/ | ( | const Scalar & | c1,
|  | const Scalar & | c2 )

Scalar / Scalar.

Definition at line 637 of file scalar_arithm.C.

## operator/() [5/7]

Scalar Lorene::operator/ | ( | const Scalar & | c1,
|  | double | x )

Scalar / double.

Definition at line 741 of file scalar_arithm.C.

## operator/() [6/7]

Scalar Lorene::operator/ | ( | double | x,
|  | const Scalar & | c2 )

double / Scalar

Definition at line 775 of file scalar_arithm.C.

## operator/() [7/7]

Scalar Lorene::operator/ | ( | int | m,
|  | const Scalar & | c2 )

int / Scalar

Definition at line 819 of file scalar_arithm.C.

## operator|()

Scalar Lorene::operator| | ( | const Scalar & | c1,
|  | const Scalar & | c2 )

Scalar * Scalar with desaliasing only in r.

Definition at line 491 of file scalar_arithm.C.

## pow() [1/2]

Scalar Lorene::pow | ( | const Scalar & | ci,
|  | double | x )

Power .

Definition at line 487 of file scalar_math.C.

## pow() [2/2]

Scalar Lorene::pow | ( | const Scalar & | ci,
|  | int | n )

Power .

Definition at line 451 of file scalar_math.C.

## racine_cubique()

Scalar Lorene::racine_cubique | ( | const Scalar & | ci | ) |

Cube root.

Definition at line 293 of file scalar_math.C.

## sin()

Scalar Lorene::sin | ( | const Scalar & | ci | ) |

Sine.

Definition at line 72 of file scalar_math.C.

## sqrt()

Scalar Lorene::sqrt | ( | const Scalar & | ci | ) |

Square root.

Definition at line 263 of file scalar_math.C.

## tan()

Scalar Lorene::tan | ( | const Scalar & | ci | ) |

Tangent.

Definition at line 136 of file scalar_math.C.

## totalmax()

double Lorene::totalmax | ( | const Scalar & | ci | ) |

Maximum values of a `Scalar` in each domain.

Returns
  1-D `Tbl` of size the number of domains, the elements of which are the set of the maximum values in each domain.

Definition at line 553 of file scalar_math.C.

## totalmin()

double Lorene::totalmin | ( | const Scalar & | ci | ) |

Minimum values of a `Scalar` in each domain.

Returns
  1-D `Tbl` of size the number of domains, the elements of which are the set of the minimum values in each domain.

Definition at line 582 of file scalar_math.C.